#include "stdafx.h"
#include "usb.h"

#ifndef USB_LIB
#define USB_LIB

#define USB_LED_ON 1
#define USB_LED_OFF 0
#define USB_DPOT_PERM 2
#define USB_DPOT_TEMP 3
#define USB_SEMAF_MODE 4
#define USB_SEMAF_STATE 5
#define USB_FB 6
#define USB_DPOT_RESET 7

//#define USB_DATA_OUT (2)
//#define USB_DATA_WRITE (3)
//#define USB_DATA_IN (4)

static int usbGetDescriptorString(usb_dev_handle *dev, int index, int langid, char *buf, int buflen);
static usb_dev_handle * usbOpenDevice(int vendor, char *vendorName, int product, char *productName);
usb_dev_handle * usbopenMyDevice();
int usbSendMyMsg(usb_dev_handle *handle, int cmd, unsigned char param1[2],unsigned char param2[2], char* buffer);
#endif
